<?php
    // build: 20201103

    // ====================================
    //            Preview mode
    // ====================================

    echo "\n<!-- ====== PREVIEW MODE ====== -->\n";
    if(is_string($_SESSION['preview_mode']) &&  $_SESSION['preview_mode'] != "") {
        echo "\t\t<div id='preview_mode_container'>\n";
        echo "\t\t\t<input type='hidden' id='preview_mode_status' value='".join(";", $_SESSION['preview_mode_status'])."'>\n";
        echo "\t\t\t<input type='hidden' id='preview_mode' value='".$_SESSION['preview_mode']."'>\n";
        echo "\t\t</div>\n";
    };

    // ====================================
    //             Load plugins
    // ====================================

    echo "\n<!-- ====== PLUGINS ====== -->\n";
    foreach(listDir($plugins_folder, "/") as $plugin) {
        echo "\t\t<div class='plugin_container plugin-".$plugin."'>\n";
        $files_groups = [];
        foreach(listDir("$plugins_folder/$plugin", ".,?") as $file) {
            $ext = path($file, "extension");
            $files_groups[$ext][] = $file;
        };
        foreach($files_groups["php"] as $file) {
            include $file;
        };
        foreach($files_groups["css"] as $file) {
            echo "\t\t\t<link class='plugin_style' rel='stylesheet' href='".$root.$file."'>\n";
        };
        foreach($files_groups["js"] as $file) {
            echo "\t\t\t<script src='".$root.$file."'></script>\n";
        };
        echo "\t\t</div>\n";
    };
?>